<?php

namespace Keywordrush\AffiliateEgg;

return array(
    'lamodaru' => array(
        'name' => 'Lamoda.ru',
        'uri' => 'http://www.lamoda.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=lamoda.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON, Cpa::CPA_CITYADS),
        'search_uri' => 'http://www.lamoda.ru/catalogsearch/result/?q=%KEYWORD%',
    ),
    'wildberriesru' => array(
        'name' => 'Wildberries.ru',
        'uri' => 'http://www.wildberries.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=wildberries.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'https://www.wildberries.ru/catalog/0/search.aspx?search=%KEYWORD%&pagesize=100&sort=popular',
    ),
    'ottoru' => array(
        'name' => 'Otto.ru',
        'uri' => 'http://www.otto.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=otto.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY),
        'search_uri' => 'http://www.otto.ru/q/%KEYWORD%.html',
        'is_deprecated' => true,
    ),
    'yvesrocherru' => array(
        'name' => 'Yves-rocher.ru',
        'uri' => 'http://www.yves-rocher.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=yves-rocher.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_CITYADS),
        'search_uri' => 'http://www.yves-rocher.ru/search/?text=%KEYWORD%',
    ),
    'sotmarketru' => array(
        'name' => 'Sotmarket.ru',
        'uri' => 'http://www.sotmarket.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.sotmarket.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON, Cpa::CPA_CITYADS),
        'search_uri' => 'http://www.sotmarket.ru/search/?q=%KEYWORD%'
    ),
    'rendezvousru' => array(
        'name' => 'Rendezvous.ru',
        'uri' => 'http://www.rendez-vous.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.rendez-vous.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'https://www.rendez-vous.ru/catalog/search/?Search[q]=%KEYWORD%',
    ),
    'ulmartru' => array(
        'name' => 'Ulmart.ru',
        'uri' => 'http://www.ulmart.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ulmart.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_CITYADS),
        'search_uri' => 'https://www.ulmart.ru/search?string=%KEYWORD%',
    ),
    'utkonosru' => array(
        'name' => 'Utkonos.ru',
        'uri' => 'http://www.utkonos.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.utkonos.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.utkonos.ru/search?query=%KEYWORD%',
    ),
    'butikru' => array(
        'name' => 'Butik.ru',
        'uri' => 'http://www.butik.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.butik.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_CITYADS),
        'search_uri' => 'http://www.butik.ru/catalogsearch/?q=%KEYWORD%',
    ),
    'svyaznoyru' => array(
        'name' => 'Svyaznoy.ru',
        'uri' => 'http://www.svyaznoy.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.svyaznoy.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON, Cpa::CPA_CITYADS),
        'search_uri' => 'http://www.svyaznoy.ru/search?q=%KEYWORD%',
    ),
    'aliexpresscom' => array(
        'name' => 'Aliexpress.com',
        'uri' => 'http://www.aliexpress.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.aliexpress.com',
        'cpa' => array(Cpa::CPA_EPNBZ, Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON, Cpa::CPA_ACTIONPAY),
        'search_uri' => 'https://www.aliexpress.com/wholesale?SearchText=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'quelleru' => array(
        'name' => 'Quelle.ru',
        'uri' => 'http://www.quelle.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.quelle.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON, Cpa::CPA_CITYADS),
        'search_uri' => 'http://www.quelle.ru/home/search/?action=search&nfh_action=search&nfh_pagetype=search&form_submit=1&suche=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'alltimeru' => array(
        'name' => 'Alltime.ru',
        'uri' => 'http://www.alltime.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.alltime.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON, Cpa::CPA_ACTIONPAY),
        'search_uri' => 'http://www.alltime.ru/search/?NAME=%KEYWORD%',
    ),
    'e5ru' => array(
        'name' => 'E5.ru',
        'uri' => 'http://www.e5.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.e5.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_CITYADS),
        'is_deprecated' => true,
    ),
    'hoffru' => array(
        'name' => 'Hoffru.ru',
        'uri' => 'http://www.hoff.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.hoff.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_CITYADS),
        'search_uri' => 'http://hoff.ru/search/?search=%KEYWORD%',
    ),
    'proskaterru' => array(
        'name' => 'Proskaterru.ru',
        'uri' => 'http://www.proskater.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.proskater.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_CITYADS, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.proskater.ru/advanced_search_result.php?keywords=%KEYWORD%',
    ),
    'mytoysru' => array(
        'name' => 'Mytoys.ru',
        'uri' => 'http://www.mytoys.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.mytoys.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.mytoys.ru/catalog/searchExtern?query=%KEYWORD%&productsPerPage=40&sugg=false',
    ),
    'wikimartru' => array(
        'name' => 'Wikimart.ru',
        'uri' => 'http://www.wikimart.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.wikimart.ru',
        'cpa' => array(Cpa::CPA_ACTIONPAY, Cpa::CPA_CITYADS),
        'is_deprecated' => true,
    ),
    'vangoldru' => array(
        'name' => 'Vangold.ru',
        'uri' => 'http://www.vangold.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.vangold.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.vangold.net/search/?s=&q=%KEYWORD%',
    ),
    'karatovru' => array(
        'name' => 'Karatov.ru',
        'uri' => 'http://karatov.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://karatov.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://karatov.ru/catalog/?q=%KEYWORD%',
    ),
    'mrdomru' => array(
        'name' => 'MrDom.ru',
        'uri' => 'http://www.mrdom.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.mrdom.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'https://www.mrdom.ru/search?q=%KEYWORD%',
    ),
    'lightintheboxcom' => array(
        'name' => 'Lightinthebox.com',
        'uri' => 'http://www.lightinthebox.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.lightinthebox.com',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.lightinthebox.com/index.php?main_page=advanced_search_result&keyword=%KEYWORD%',
    ),
    'topbrandsru' => array(
        'name' => 'Topbrands.ru',
        'uri' => 'http://www.topbrands.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.topbrands.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'https://topbrands.ru/search/?q=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'readytowearru' => array(
        'name' => 'Ready-to-wear.ru',
        'uri' => 'http://www.ready-to-wear.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ready-to-wear.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'is_deprecated' => true,
    ),
    'asoscom' => array(
        'name' => 'Asos.com',
        'uri' => 'http://www.asos.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.asos.com',
        'cpa' => array(Cpa::CPA_EPNBZ, Cpa::CPA_ADMITAD),
        'search_uri' => 'https://www.asos.com/search/?q=%KEYWORD%',
    ),
    'detmirru' => array(
        'name' => 'Detmir.ru',
        'uri' => 'http://www.detmir.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.detmir.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_CITYADS),
        'search_uri' => 'http://www.detmir.ru/search/results/?q=%KEYWORD%',
    ),
    'kinderlyru' => array(
        'name' => 'Kinderly.ru',
        'uri' => 'http://www.kinderly.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.kinderly.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.kinderly.ru/search?q=%KEYWORD%',
    ),
    'namesru' => array(
        'name' => 'Names.ru',
        'uri' => 'http://www.names.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.names.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'https://names.ru/catalog/?search=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'tomtailoronlineru' => array(
        'name' => 'Tom-tailor-online.ru',
        'uri' => 'http://tom-tailor-online.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.tom-tailor-online.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON, Cpa::CPA_ACTIONPAY, Cpa::CPA_CITYADS),
        'search_uri' => 'http://tom-tailor-online.ru/categories/search?searchWord=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'wenzru' => array(
        'name' => 'Wenz.ru',
        'uri' => 'http://www.wenz.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.wenz.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'is_deprecated' => true,
    ),
    'motiviru' => array(
        'name' => 'Motivi.ru',
        'uri' => 'http://www.motivi.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.motivi.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY),
        'is_deprecated' => true,
    ),
    'people4peopleru' => array(
        'name' => 'People4people.ru',
        'uri' => 'http://www.people4people.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.people4people.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_CITYADS),
        'is_deprecated' => true,
    ),
    'selaru' => array(
        'name' => 'Sela.ru',
        'uri' => 'http://www.sela.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.sela.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'https://www.sela.ru/eshop/search/?query=%KEYWORD%',
    ),
    'shopcoutureru' => array(
        'name' => 'Shop-couture.ru',
        'uri' => 'http://www.shop-couture.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.shop-couture.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'https://shop-couture.ru/search?controller=search&orderby=position&orderway=desc&search_query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'getwearcom' => array(
        'name' => 'Getwear.com',
        'uri' => 'http://www.getwear.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.getwear.com',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'is_deprecated' => true,
    ),
    'pleerru' => array(
        'name' => 'Pleer.ru',
        'uri' => 'http://www.pleer.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.pleer.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_CITYADS, Cpa::CPA_ACTIONPAY),
        'search_uri' => 'http://www.pleer.ru/search_%KEYWORD%.html',
    ),
    'notikru' => array(
        'name' => 'Notik.ru',
        'uri' => 'http://www.notik.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.notik.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON, Cpa::CPA_CITYADS, Cpa::CPA_ACTIONPAY),
        'search_uri' => 'http://www.notik.ru/search.htm?tyle=all&find=%KEYWORD%',
    ),
    'yooxcom' => array(
        'name' => 'Yoox.com',
        'uri' => 'http://www.yoox.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.yoox.com',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
    ),
    'hauteletru' => array(
        'name' => 'Hautelet.ru',
        'uri' => 'http://www.hautelet.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.hautelet.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON, Cpa::CPA_ACTIONPAY),
        'search_uri' => 'http://www.hautelet.ru/catalogsearch/result/?q=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'carlopazolinicom' => array(
        'name' => 'Carlopazolini.com',
        'uri' => 'http://www.carlopazolini.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.carlopazolini.com',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.carlopazolini.com/ru/search?query=%KEYWORD%',
    ),
    'litresru' => array(
        'name' => 'Litres.ru',
        'uri' => 'http://www.litres.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.litres.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'https://www.litres.ru/pages/biblio_search/?q=%KEYWORD%',
    ),
    'fictioneksmoru' => array(
        'name' => 'Eksmo.ru',
        'uri' => 'http://fiction.eksmo.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://fiction.eksmo.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://fiction.eksmo.ru/poisk/?q=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'sapatoru' => array(
        'name' => 'Sapato.ru',
        'uri' => 'http://www.sapato.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.sapato.ru',
        'cpa' => array(Cpa::CPA_GDESLON, Cpa::CPA_CITYADS, Cpa::CPA_ACTIONPAY),
        'search_uri' => 'http://www.sapato.ru/search/?q=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'homemeru' => array(
        'name' => 'Homeme.ru',
        'uri' => 'http://www.homeme.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.homeme.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.homeme.ru/search/?kw=%KEYWORD%',
    ),
    'thefurnishru' => array(
        'name' => 'Thefurnish.ru',
        'uri' => 'http://www.thefurnish.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.thefurnish.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.thefurnish.ru/shop?query=%KEYWORD%',
    ),
    'myshopru' => array(
        'name' => 'My-shop.ru',
        'uri' => 'http://my-shop.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://my-shop.ru',
        'cpa' => array(),
    ),
    'ozonru' => array(
        'name' => 'Ozon.ru',
        'uri' => 'http://www.ozon.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ozon.ru',
        'cpa' => array(Cpa::CPA_CITYADS, Cpa::CPA_GDESLON),
        'search_uri' => 'https://www.ozon.ru/search/?text=%KEY+WORD%&from_global=true',
        'is_deprecated' => true,
    ),
    'topshopru' => array(
        'name' => 'Top-shop.ru',
        'uri' => 'http://www.top-shop.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.top-shop.ru',
        'cpa' => array(Cpa::CPA_CITYADS),
        'search_uri' => 'http://www.top-shop.ru/search/?find=%KEYWORD%',
    ),
    'wedstylesu' => array(
        'name' => 'Wedstyle.su',
        'uri' => 'http://www.wedstyle.su',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.wedstyle.su',
        'cpa' => array(),
        'search_uri' => 'http://www.wedstyle.su/katalog?&pf=1&action=search&search_subcats=1&search_text=%KEYWORD%',
    ),
    'meleonru' => array(
        'name' => 'Meleon.ru',
        'uri' => 'https://www.meleon.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.meleon.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'https://www.meleon.ru/search/?q=%KEYWORD%',
    ),
    'shopvichyconsultru' => array(
        'name' => 'Vichyconsult.ru',
        'uri' => 'http://shop.vichyconsult.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://shop.vichyconsult.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.vichyconsult.ru/catalogsearch/result?q=%KEYWORD%',
    ),
    'kupivipru' => array(
        'name' => 'Kupivip.ru',
        'uri' => 'http://www.kupivip.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.kupivip.ru',
        'cpa' => array(Cpa::CPA_CITYADS, Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'https://www.kupivip.ru/search?q=%KEYWORD%',
    ),
    'dochkisinochkiru' => array(
        'name' => 'Dochkisinochki.ru',
        'uri' => 'http://www.dochkisinochki.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.dochkisinochki.ru',
        'cpa' => array(Cpa::CPA_CITYADS, Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.dochkisinochki.ru/icatalog/search.php?q=%KEYWORD%',
    ),
    'petshopru' => array(
        'name' => 'Petshop.ru',
        'uri' => 'http://www.petshop.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.petshop.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.petshop.ru/search/?q=%KEYWORD%',
    ),
    'tehnosilaru' => array(
        'name' => 'Tehnosila.ru',
        'uri' => 'http://www.tehnosila.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.tehnosila.ru',
        'cpa' => array(Cpa::CPA_CITYADS, Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.tehnosila.ru/search?q=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'mediamarktru' => array(
        'name' => 'Mediamarkt.ru',
        'uri' => 'http://www.mediamarkt.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.mediamarkt.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'https://www.mediamarkt.ru/search?q=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'mvideoru' => array(
        'name' => 'Mvideo.ru',
        'uri' => 'http://www.mvideo.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.mvideo.ru',
        'cpa' => array(Cpa::CPA_CITYADS, Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.mvideo.ru/product-list?Ntt=%KEYWORD%',
    ),
    'eldoradoru' => array(
        'name' => 'Eldorado.ru',
        'uri' => 'http://www.eldorado.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.eldorado.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.eldorado.ru/search/catalog.php?q=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'pudraru' => array(
        'name' => 'Pudra.ru',
        'uri' => 'http://www.pudra.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.pudra.ru',
        'cpa' => array(Cpa::CPA_CITYADS, Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'http://pudra.ru/search/?q=%KEYWORD%',
    ),
    'ruiherbcom' => array(
        'name' => 'iHerb.com',
        'uri' => 'http://iherb.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.iherb.com',
        'cpa' => array(),
        'search_uri' => 'http://iherb.com/search?kw=%KEYWORD%',
    ),
    'showroomsru' => array(
        'name' => 'Showrooms.ru',
        'uri' => 'http://showrooms.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://showrooms.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'http://showrooms.ru/search/?q=%KEYWORD%',
    ),
    'babaduru' => array(
        'name' => 'Babadu.ru',
        'uri' => 'http://babadu.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://babadu.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_ACTIONPAY, Cpa::CPA_GDESLON),
        'search_uri' => 'http://babadu.ru/search/index.php?q=%KEYWORD%',
    ),
    'filtorgru' => array(
        'name' => 'FilTorg.ru',
        'uri' => 'http://filtorg.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://filtorg.ru',
        'cpa' => array(),
        'search_uri' => 'http://filtorg.ru/?q=%KEYWORD%&dispatch=search.results',
    ),
    'ebaycom' => array(
        'name' => 'Ebay.com',
        'uri' => 'http://www.ebay.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ebay.com',
        'cpa' => array(Cpa::CPA_SHOPOZZ, Cpa::CPA_SHOPOTAM),
        'search_uri' => 'http://www.ebay.com/sch/i.html?_nkw=%KEYWORD%',
    ),
    'ebayde' => array(
        'name' => 'Ebay.de',
        'uri' => 'http://www.ebay.de',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ebay.de',
        'search_uri' => 'http://www.ebay.de/sch/i.html?_nkw=%KEYWORD%',
    ),
    'ebayin' => array(
        'name' => 'Ebay.in',
        'uri' => 'http://www.ebay.in',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ebay.in',
        'search_uri' => 'http://www.ebay.in/sch/i.html?_nkw=%KEYWORD%',
    ),
    'ebaycomau' => array(
        'name' => 'Ebay.com.au',
        'uri' => 'http://www.ebay.com.au',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ebay.com.au',
        'search_uri' => 'http://www.ebay.com.au/sch/i.html?_nkw=%KEYWORD%',
    ),
    'ebayes' => array(
        'name' => 'Ebay.es',
        'uri' => 'http://www.ebay.es',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ebay.es',
        'search_uri' => 'http://www.ebay.es/sch/i.html?_nkw=%KEYWORD%',
    ),
    'ebayit' => array(
        'name' => 'Ebay.it',
        'uri' => 'http://www.ebay.it',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ebay.it',
        'search_uri' => 'http://www.ebay.it/sch/i.html?_nkw=%KEYWORD%',
    ),
    'ebaycouk' => array(
        'name' => 'Ebay.co.uk',
        'uri' => 'http://www.ebay.co.uk',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ebay.co.uk',
        'search_uri' => 'http://www.ebay.co.uk/sch/i.html?_nkw=%KEYWORD%',
    ),
    'ebayfr' => array(
        'name' => 'Ebay.fr',
        'uri' => 'http://www.ebay.fr',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ebay.fr',
        'search_uri' => 'http://www.ebay.fr/sch/i.html?_nkw=%KEYWORD%',
    ),
    'ebaynl' => array(
        'name' => 'Ebay.nl',
        'uri' => 'http://www.ebay.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.ebay.nl',
        'search_uri' => 'http://www.ebay.nl/sch/i.html?_nkw=%KEYWORD%',
    ),
    'amazoncom' => array(
        'name' => 'Amazon.com',
        'uri' => 'http://www.amazon.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.com',
        'cpa' => array(Cpa::CPA_SHOPOZZ, Cpa::CPA_SHOPOTAM),
        'search_uri' => 'https://www.amazon.com/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazonde' => array(
        'name' => 'Amazon.de',
        'uri' => 'http://www.amazon.de',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.de',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.de/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazonit' => array(
        'name' => 'Amazon.it',
        'uri' => 'http://www.amazon.it',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.it',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.it/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazonfr' => array(
        'name' => 'Amazon.fr',
        'uri' => 'http://www.amazon.fr',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.fr',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.fr/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazoncouk' => array(
        'name' => 'Amazon.co.uk',
        'uri' => 'http://www.amazon.co.uk',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.co.uk',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.co.uk/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazonin' => array(
        'name' => 'Amazon.in',
        'uri' => 'http://www.amazon.in',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.in',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.in/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazones' => array(
        'name' => 'Amazon.es',
        'uri' => 'http://www.amazon.es',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.es',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.es/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazonca' => array(
        'name' => 'Amazon.ca',
        'uri' => 'http://www.amazon.ca',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.ca',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.ca/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazoncombr' => array(
        'name' => 'Amazon.com.br',
        'uri' => 'http://www.amazon.com.br',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.com.br',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.com.br/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazoncojp' => array(
        'name' => 'Amazon.co.jp',
        'uri' => 'https://www.amazon.co.jp',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.co.jp',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.co.jp/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazoncomau' => array(
        'name' => 'Amazon.co.au',
        'uri' => 'https://www.amazon.com.au',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.com.au',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.com.au/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazonae' => array(
        'name' => 'Amazon.ae',
        'uri' => 'https://www.amazon.ae',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.ae',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.ae/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazoncomtr' => array(
        'name' => 'Amazon.com.tr',
        'uri' => 'https://www.amazon.com.tr',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.com.tr',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.com.tr/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazonsg' => array(
        'name' => 'Amazon.sg',
        'uri' => 'https://www.amazon.sg',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.sg',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.sg/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazonse' => array(
        'name' => 'Amazon.se',
        'uri' => 'https://www.amazon.se',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.se',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.se/s/ref=nb_sb_noss?field-keywords=%KEYWORD%',
        'is_unstable' => true,
    ),
    'amazonnl' => array(
        'name' => 'Amazon.nl',
        'uri' => 'https://www.amazon.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.nl',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.nl/s/ref=nb_sb_noss?field-keywords=%KEYWORD%',
        'is_unstable' => true,
    ),
    'amazonsa' => array(
        'name' => 'Amazon.sa',
        'uri' => 'https://www.amazon.sa',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.sa',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.sa/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazonpl' => array(
        'name' => 'Amazon.pl',
        'uri' => 'https://www.amazon.pl',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.pl',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.pl/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazoneg' => array(
        'name' => 'Amazon.eg',
        'uri' => 'https://www.amazon.eg',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.eg',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.eg/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazoncommx' => array(
        'name' => 'Amazon.com.mx',
        'uri' => 'https://www.amazon.com.mx',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.com.mx',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.com.mx/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'amazoncombe' => array(
        'name' => 'Amazon.com.be',
        'uri' => 'https://www.amazon.com.be',
        'ico' => 'http://www.google.com/s2/favicons?domain=http://www.amazon.combe',
        'cpa' => array(),
        'search_uri' => 'https://www.amazon.be/s?k=%KEY++WORD%',
        'is_unstable' => true,
    ),
    'lamodaua' => array(
        'name' => 'Lamoda.ua',
        'uri' => 'http://www.lamoda.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=lamoda.ua',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.lamoda.ua/catalogsearch/result/?q=%KEYWORD%',
    ),
    'piluliru' => array(
        'name' => 'Piluli.ru',
        'uri' => 'http://www.piluli.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=piluli.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.piluli.ru/search_result.html?searchback=%KEYWORD%&search=%KEYWORD%',
    ),
    'grouponus' => array(
        'name' => 'Groupon.com',
        'uri' => 'http://www.groupon.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=groupon.com',
        'cpa' => array(),
        'search_uri' => 'https://www.groupon.com/browse/?query=%KEY+WORD%',
    ),
    'banggood' => array(
        'name' => 'Banggood.com',
        'uri' => 'http://www.banggood.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=banggood.com',
        'cpa' => array(Cpa::CPA_EPNBZ),
        'search_uri' => 'https://www.banggood.com/search/%KEY-WORD%.html',
    ),
    'laredoute' => array(
        'name' => 'Laredoute.ru',
        'uri' => 'http://www.laredoute.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=laredoute.ru',
        'cpa' => array(),
        'ico' => 'http://www.google.com/s2/favicons?domain=groupon.com',
        'search_uri' => 'http://www.laredoute.ru/psrch/psrch.aspx?kwrd=%KEYWORD%',
    ),
    'neboru' => array(
        'name' => 'Nebo.ru',
        'uri' => 'http://nebo.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=nebo.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://nebo.ru/search?text=%KEYWORD%',
    ),
    'ononaru' => array(
        'name' => 'Onona.ru',
        'uri' => 'http://onona.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=onona.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://nebo.ru/search?text=%KEYWORD%',
    ),
    'intimshopru' => array(
        'name' => 'Intimshop.ru',
        'uri' => 'http://www.intimshop.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=www.intimshop.ru',
        'cpa' => array(Cpa::CPA_GDESLON),
        'search_uri' => 'https://onona.ru/search?searchString=%KEYWORD%',
    ),
    'activizmru' => array(
        'name' => 'Activizm.ru',
        'uri' => 'http://www.activizm.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=www.activizm.ru',
        'cpa' => array(Cpa::CPA_GDESLON),
        'is_deprecated' => true,
    ),
    'posteldeluxeru' => array(
        'name' => 'Postel-deluxe.ru',
        'uri' => 'http://postel-deluxe.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=postel-deluxe.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://postel-deluxe.ru/lightspeed.php/catalogsearch/result/?q=%KEYWORD%',
    ),
    'gipostroyru' => array(
        'name' => 'Gipostroy.ru',
        'uri' => 'http://www.gipostroy.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=www.gipostroy.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.gipostroy.ru/search?category=&search=%KEYWORD%',
    ),
    'mebelviaru' => array(
        'name' => 'Mebelvia.ru',
        'uri' => 'http://mebelvia.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=mebelvia.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://mebelvia.ru/poisk/?q=%KEYWORD%',
    ),
    'lifemebelru' => array(
        'name' => 'Lifemebel.ru',
        'uri' => 'http://lifemebel.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=lifemebel.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://lifemebel.ru/search/?q=%KEYWORD%',
    ),
    'domostiru' => array(
        'name' => 'Domosti.ru',
        'uri' => 'http://www.domosti.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=www.domosti.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.domosti.ru/search.html?q=%KEYWORD%',
    ),
    'mnogomebru' => array(
        'name' => 'Mnogomeb.ru',
        'uri' => 'http://mnogomeb.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=mnogomebru.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'https://mnogomeb.ru/search/?q=%KEYWORD%',
    ),
    'qpstolru' => array(
        'name' => 'Qpstol.ru',
        'uri' => 'http://www.qpstol.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=www.qpstolru.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.qpstol.ru/search/?q=%KEYWORD%',
        'is_deprecated' => false,
    ),
    'vseinstrumenti' => array(
        'name' => 'Vseinstrumenti.ru',
        'uri' => 'http://www.vseinstrumenti.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=www.vseinstrumenti.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.vseinstrumenti.ru/search_main.php?what=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'mebelionru' => array(
        'name' => 'Mebelion.ru',
        'uri' => 'http://www.mebelion.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=www.mebelion.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.mebelion.ru/?query=%KEYWORD%',
    ),
    'fourlapy' => array(
        'name' => '4lapy.ru',
        'uri' => 'http://4lapy.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=4lapy.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://4lapy.ru/search/?q=%KEYWORD%',
    ),
    'akusherstvoru' => array(
        'name' => 'Akusherstvo.ru',
        'uri' => 'http://akusherstvo.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=akusherstvo.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'https://www.akusherstvo.ru/search.php?action=search_result&action=search_result&search_data=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'booking' => array(
        'name' => 'Booking.com',
        'uri' => 'http://www.booking.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=booking.com',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.booking.com/searchresults.%LANG%.html?dest_type=city;ss=%KEYWORD%;ss_all=0;ssb=empty;sshis=0;srpos=2;origin=search',
    ),
    'airbnbru' => array(
        'name' => 'Airbnb.ru',
        'uri' => 'http://www.airbnb.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=airbnb.ru',
        'search_uri' => 'https://www.airbnb.ru/s/%KEY-WORD%',
    ),
    'airbnbcom' => array(
        'name' => 'Airbnb.com',
        'uri' => 'http://www.airbnb.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=airbnb.com',
        'search_uri' => 'https://www.airbnb.com/s/%KEY-WORD%',
    ),
    'lacywearru' => array(
        'name' => 'Lacywear.ru',
        'uri' => 'http://www.lacywear.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=lacywear.ru',
        'search_uri' => 'https://www.lacywear.ru/goods/search?SearchForm[goodssearch]=%KEYWORD%',
    ),
    'etsy' => array(
        'name' => 'Etsy.com',
        'uri' => 'http://www.etsy.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=etsy.com',
        'search_uri' => 'https://www.etsy.com/search?q=%KEYWORD%',
    ),
    'bonprixua' => array(
        'name' => 'Bonprix.ua',
        'uri' => 'http://www.bonprix.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=bonprix.ua',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.bonprix.ua/poiski/%KEYWORD%',
    ),
    'bonprixru' => array(
        'name' => 'Bonprix.ru',
        'uri' => 'http://www.bonprix.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=bonprix.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.bonprix.ru/search/?searchmode=m&search_origin=textfield&qu=%KEYWORD%',
    ),
    'grouponru' => array(
        'name' => 'Groupon.ru',
        'uri' => 'http://www.groupon.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=groupon.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'is_deprecated' => true,
    ),
    'frendiru' => array(
        'name' => 'Frendi.ru',
        'uri' => 'http://www.frendi.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=frendi.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.frendi.ru/search?q=%KEYWORD%',
    ),
    'powerwayru' => array(
        'name' => 'Power-way.ru',
        'uri' => 'http://www.power-way.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=power-way.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'http://www.power-way.ru/search?controller=search&search_query=%KEYWORD%',
    ),
    'platiru' => array(
        'name' => 'Plati.ru',
        'uri' => 'http://plati.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=plati.ru',
        'search_uri' => 'http://plati.ru/search/%KEYWORD%',
    ),
    'marketmioru' => array(
        'name' => 'Marketmio.ru',
        'uri' => 'http://marketmio.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=marketmio.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'https://marketmio.ru/search?text=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'jabongcom' => array(
        'name' => 'Jabong.com',
        'uri' => 'http://www.jabong.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=jabong.com',
        'cpa' => array(),
        'search_uri' => 'http://www.jabong.com/find/%KEY-WORD%/?q=%KEYWORD%&tt=%KEYWORD%&rank=0&qc=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'bodybuildingcom' => array(
        'name' => 'Bodybuilding.com',
        'uri' => 'http://www.bodybuilding.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=bodybuilding.com',
        'cpa' => array(),
        'search_uri' => 'https://search.bodybuilding.com/slp/full?context=all&query=%KEYWORD%'
    ),
    'infibeam' => array(
        'name' => 'Infibeam.com',
        'uri' => 'http://www.infibeam.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=infibeam.com',
        'cpa' => array(),
        'search_uri' => 'http://www.infibeam.com/search?q=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'shopclues' => array(
        'name' => 'Shopclues.com',
        'uri' => 'http://www.shopclues.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=shopclues.com',
        'cpa' => array(),
        'search_uri' => 'http://www.shopclues.com/search?q=%KEYWORD%&sc_z=4444&z=0'
    ),
    'wigglecom' => array(
        'name' => 'Wiggle.com',
        'uri' => 'http://www.wiggle.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=wiggle.com',
        'cpa' => array(),
        'search_uri' => 'http://www.wiggle.com/?s=%KEYWORD%'
    ),
    'wigglecouk' => array(
        'name' => 'Wiggle.co.uk',
        'uri' => 'http://www.wiggle.co.uk',
        'ico' => 'http://www.google.com/s2/favicons?domain=wiggle.co.uk',
        'cpa' => array(),
        'search_uri' => 'http://www.wiggle.co.uk/?s=%KEYWORD%'
    ),
    'wigglees' => array(
        'name' => 'Wiggle.es',
        'uri' => 'http://www.wiggle.es',
        'ico' => 'http://www.google.com/s2/favicons?domain=wiggle.es',
        'cpa' => array(),
        'search_uri' => 'http://www.wiggle.es/?s=%KEYWORD%'
    ),
    'suppzcom' => array(
        'name' => 'Suppz.com',
        'uri' => 'http://www.suppz.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=suppz.com',
        'cpa' => array(),
        'search_uri' => 'http://suppz.com/catalogsearch/result/?q=%KEYWORD%&cat='
    ),
    'snapdeal' => array(
        'name' => 'Snapdeal.com',
        'uri' => 'http://www.snapdeal.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=snapdeal.com',
        'cpa' => array(),
        'search_uri' => 'http://www.snapdeal.com/search?keyword=%KEYWORD%'
    ),
    'saturnde' => array(
        'name' => 'Saturn.de',
        'uri' => 'http://www.saturn.de',
        'ico' => 'http://www.google.com/s2/favicons?domain=saturn.de',
        'cpa' => array(),
        'search_uri' => 'http://www.saturn.de/de/search.html?searchProfile=onlineshop&channel=sedede&searchParams=&path=&query=%KEYWORD%',
        'is_unstable' => true,
    ),
    'tigerfitnesscom' => array(
        'name' => 'Tigerfitness.com',
        'uri' => 'http://www.tigerfitness.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=tigerfitness.com',
        'cpa' => array(),
        'search_uri' => 'https://www.tigerfitness.com/search?type=product&q=%KEY+WORD%'
    ),
    'jdru' => array(
        'name' => 'Jd.ru',
        'uri' => 'http://www.jd.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=jd.ru',
        'cpa' => array(Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON),
        'search_uri' => 'https://www.jd.ru/search?keywords=%KEYWORD%&arriveCountry2285&filterTypes=expand&bucket=8'
    ),
    'joybuycom' => array(
        'name' => 'Joybuy.com',
        'uri' => 'http://www.joybuy.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=joybuy.com',
        'search_uri' => 'https://www.joybuy.com/search?keywords=%KEYWORD%&arriveCountry=2456&filterTypes=expand&bucket=8'
    ),
    'karatovcom' => array(
        'name' => 'Karatov.com',
        'uri' => 'http://karatov.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=karatov.com',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://karatov.com/catalog/?q=%KEYWORD%',
    ),
    'homeshop18com' => array(
        'name' => 'Homeshop18.com',
        'uri' => 'http://www.homeshop18.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=homeshop18.com',
        'search_uri' => 'http://www.homeshop18.com/%KEYWORD%/search:%KEYWORD%',
        'is_deprecated' => true,
    ),
    'kameraexpressnl' => array(
        'name' => 'Kamera-express.nl',
        'uri' => 'http://www.kamera-express.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=kamera-express.nl',
        'search_uri' => 'http://www.kamera-express.nl/is-bin/INTERSHOP.enfinity/WFS/org-ke_nl-Site/nl_NL/-/EUR/ViewParametricSearch-SimpleOfferSearch;pgid=1;sid=1=?webform-id=WFSimpleSearch&DefaultButton=findSimple&SearchCategoryUUID=&WFSimpleSearch_NameOrID=%KEY+WORD%&findSimple=Zoek',
    ),
    'tatacliqcom' => array(
        'name' => 'Tatacliq.com',
        'uri' => 'http://tatacliq.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=tatacliq.com',
        'search_uri' => 'https://www.tatacliq.com/search/?searchCategory=all&text=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'industrybuying' => array(
        'name' => 'Industrybuying.com',
        'uri' => 'http://industrybuying.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=industrybuying.com',
        'search_uri' => 'http://www.industrybuying.com/search/?q=%KEY+WORD%&cat=',
    ),
    'myntracom' => array(
        'name' => 'Myntra.com',
        'uri' => 'http://myntra.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=myntra.com',
        'search_uri' => 'https://www.myntra.com/%KEY-WORD%/?userQuery=true',
    ),
    'gearbestcom' => array(
        'name' => 'Gearbest.com',
        'uri' => 'http://gearbest.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=gearbest.com',
        'cpa' => array(Cpa::CPA_EPNBZ),
        'search_uri' => 'https://www.gearbest.com/sale/%KEY-WORD%/',
    ),
    'cromacom' => array(
        'name' => 'Croma.com',
        'uri' => 'http://croma.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=croma.com',
        'search_uri' => 'http://www.croma.com/search/?text=%KEYWORD%',
    ),
    'walmartcom' => array(
        'name' => 'Walmart.com',
        'uri' => 'http://walmart.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=walmart.com',
        'search_uri' => 'https://www.walmart.com/search/?cat_id=&query=%KEYWORD%',
        'is_unstable' => true,
    ),
    'bestbuycom' => array(
        'name' => 'Bestbuy.com',
        'uri' => 'http://bestbuy.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=bestbuy.com',
        'search_uri' => 'https://www.bestbuy.com/site/searchpage.jsp?st=%KEY+WORD%&_dyncharset=UTF-8&_dynSessConf=&id=pcat17071&type=page&sc=Global&cp=1&nrp=&sp=&qp=&list=n&af=true&iht=y&usc=All+Categories&ks=960&keys=keys',
        //'is_deprecated' => true,
    ),
    'neweggcom' => array(
        'name' => 'Newegg.com',
        'uri' => 'http://newegg.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=newegg.com',
        'search_uri' => 'http://www.newegg.com/Product/ProductList.aspx?Submit=ENE&DEPA=0&Order=BESTMATCH&Description=%KEYWORD%&N=-1&isNodeId=1',
    ),
    'rozetkacomua' => array(
        'name' => 'Rozetka.com.ua',
        'uri' => 'http://rozetka.com.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=rozetka.com.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'http://rozetka.com.ua/search/?section_id=&section=&text=%KEYWORD%&rz-search-button=',
    ),
    'eldoradocomua' => array(
        'name' => 'Eldorado.com.ua',
        'uri' => 'http://www.eldorado.com.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=eldorado.com.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.eldorado.com.ua/search/?q=%KEYWORD%',
        'is_unstable' => true,
    ),
    'alloua' => array(
        'name' => 'Allo.ua',
        'uri' => 'http://allo.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=allo.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER),
        'search_uri' => 'https://allo.ua/catalogsearch/result/?q=%KEYWORD%',
    ),
    'comfyua' => array(
        'name' => 'Comfy.ua',
        'uri' => 'http://comfy.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=comfy.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'http://comfy.ua/catalogsearch/result?q=%KEYWORD%',
        'is_unstable' => true,
    ),
    'deshevshenetua' => array(
        'name' => 'Deshevshe.net.ua',
        'uri' => 'http://deshevshe.net.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=deshevshe.net.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'http://deshevshe.net.ua/search/?utf8=%E2%9C%93&commit=+&q=%KEYWORD%',
    ),
    'chiccocomua' => array(
        'name' => 'Chicco.com.ua',
        'uri' => 'http://chicco.com.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=chicco.com.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'https://chicco.com.ua/catalogsearch/result/?q=%KEY+WORD%',
    ),
    'yvesrocherua' => array(
        'name' => 'Yves-rocher.ua',
        'uri' => 'http://yves-rocher.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=yves-rocher.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.yves-rocher.ua/control/searchresult?query=%KEYWORD%&channel=ru_UA',
    ),
    'bomondcomua' => array(
        'name' => 'Bomond.com.ua',
        'uri' => 'http://bomond.com.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=bomond.com.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'http://bomond.com.ua/ru/search?keyword=%KEYWORD%&cat_id=',
    ),
    'foxtrotcomua' => array(
        'name' => 'Foxtrot.com.ua',
        'uri' => 'http://foxtrot.com.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=foxtrot.com.ua',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.foxtrot.com.ua/ru/search?query=%KEYWORD%',
        'is_unstable' => true,
    ),
    'moyoua' => array(
        'name' => 'Moyo.ua',
        'uri' => 'http://moyo.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=moyo.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'https://www.moyo.ua/search/new?q=%KEY+WORD%',
    ),
    'stylusua' => array(
        'name' => 'Stylus.ua',
        'uri' => 'http://stylus.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=stylus.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'http://stylus.ua/search?q=%KEYWORD%',
    ),
    'citycomua' => array(
        'name' => 'City.com.ua',
        'uri' => 'http://city.com.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=city.com.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'http://city.com.ua/search/?q=%KEYWORD%',
    ),
    'coolbluenl' => array(
        'name' => 'Coolblue.nl',
        'uri' => 'http://coolblue.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=coolblue.nl',
        'search_uri' => 'https://www.coolblue.nl/zoeken?query=%KEYWORD%',
    ),
    'coolbluebe' => array(
        'name' => 'Coolblue.be',
        'uri' => 'http://coolblue.be',
        'ico' => 'http://www.google.com/s2/favicons?domain=coolblue.be',
        'search_uri' => 'https://www.coolblue.be/zoeken?query=%KEYWORD%',
    ),
    'coolbluede' => array(
        'name' => 'Coolblue.de',
        'uri' => 'http://coolblue.de',
        'ico' => 'http://www.google.com/s2/favicons?domain=coolblue.de',
        'search_uri' => 'https://www.coolblue.de/suchen?query=%KEYWORD%',
    ),
    'camerashopnl' => array(
        'name' => 'Camerashop.nl',
        'uri' => 'http://camerashop.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=camerashop.nl',
        'search_uri' => 'https://www.camerashop.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'askonaru' => array(
        'name' => 'Askona.ru',
        'uri' => 'http://www.askona.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=askona.ru',
        'cpa' => array(Cpa::CPA_ADMITAD),
        'search_uri' => 'http://www.askona.ru/search.htm?search=%KEYWORD%',
    ),
    'aonl' => array(
        'name' => 'Ao.nl',
        'uri' => 'http://ao.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=ao.nl',
        'cpa' => array(),
        'search_uri' => 'http://www.ao.nl/l/zoeken/101/99/?zoeken=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'koelkaststorenl' => array(
        'name' => 'Koelkaststore.nl',
        'uri' => 'http://koelkaststore.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=koelkaststore.nl',
        'search_uri' => 'https://www.koelkaststore.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'laptopshopnl' => array(
        'name' => 'Laptopshop.nl',
        'uri' => 'http://laptopshop.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=laptopshop.nl',
        'search_uri' => 'https://www.laptopshop.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'pdashopnl' => array(
        'name' => 'Pdashop.nl',
        'uri' => 'http://pdashop.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=pdashop.nl',
        'search_uri' => 'https://www.pdashop.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'sporthorlogecenternl' => array(
        'name' => 'Sporthorlogecenter.nl',
        'uri' => 'http://sporthorlogecenter.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=sporthorlogecenter.nl',
        'search_uri' => 'https://www.sporthorlogecenter.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'consoleshopnl' => array(
        'name' => 'Consoleshop.nl',
        'uri' => 'http://consoleshop.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=consoleshop.nl',
        'search_uri' => 'https://www.consoleshop.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'kofferstorenl' => array(
        'name' => 'Kofferstore.nl',
        'uri' => 'http://kofferstore.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=kofferstore.nl',
        'search_uri' => 'https://www.kofferstore.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'grasmaaierstorenl' => array(
        'name' => 'Grasmaaierstore.nl',
        'uri' => 'http://grasmaaierstore.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=grasmaaierstore.nl',
        'search_uri' => 'https://www.grasmaaierstore.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'wasmachinestorenl' => array(
        'name' => 'Wasmachinestore.nl',
        'uri' => 'http://wasmachinestore.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=wasmachinestore.nl',
        'search_uri' => 'https://www.wasmachinestore.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'tvstorenl' => array(
        'name' => 'Tvstore.nl',
        'uri' => 'http://tvstore.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=tvstore.nl',
        'search_uri' => 'https://www.tvstore.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'lazadacommy' => array(
        'name' => 'Lazada.com.my',
        'uri' => 'http://lazada.com.my',
        'ico' => 'http://www.google.com/s2/favicons?domain=lazada.com.my',
        'search_uri' => 'http://www.lazada.com.my/catalog/?q=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'lazadavn' => array(
        'name' => 'Lazada.vn',
        'uri' => 'http://lazada.vn',
        'ico' => 'http://www.google.com/s2/favicons?domain=lazada.vn',
        'search_uri' => 'http://www.lazada.vn/catalog/?q=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'lazadacoid' => array(
        'name' => 'Lazada.co.id',
        'uri' => 'http://lazada.co.id',
        'ico' => 'http://www.google.com/s2/favicons?domain=lazada.co.id',
        'search_uri' => 'http://www.lazada.co.id/catalog/?q=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'lazadacomph' => array(
        'name' => 'Lazada.com.ph',
        'uri' => 'http://lazada.com.ph',
        'ico' => 'http://www.google.com/s2/favicons?domain=lazada.com.ph',
        'search_uri' => 'http://www.lazada.com.ph/catalog/?q=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'lazadasg' => array(
        'name' => 'Lazada.sg',
        'uri' => 'http://lazada.sg',
        'ico' => 'http://www.google.com/s2/favicons?domain=lazada.sg',
        'search_uri' => 'http://www.lazada.sg/catalog/?q=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'lazadacoth' => array(
        'name' => 'Lazada.co.th',
        'uri' => 'http://lazada.co.th',
        'ico' => 'http://www.google.com/s2/favicons?domain=lazadaco.co.th',
        'search_uri' => 'http://www.lazada.co.th/catalog/?q=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'pepperfrycom' => array(
        'name' => 'Pepperfry.com',
        'uri' => 'http://pepperfry.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=pepperfry.com',
        'search_uri' => 'https://www.pepperfry.com/site_product/search?q=%KEY+WORD%&as=0&src=os&cat=',
    ),
    'firstcrycom' => array(
        'name' => 'Firstcry.com',
        'uri' => 'http://firstcry.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=firstcry.com',
        'search_uri' => 'http://www.firstcry.com/search.aspx?q=%KEYWORD%',
    ),
    'eldoradoua' => array(
        'name' => 'Eldorado.ua',
        'uri' => 'https://eldorado.ua',
        'ico' => 'http://www.google.com/s2/favicons?domain=eldorado.ua',
        'cpa' => array(Cpa::CPA_SALESDOUBLER, Cpa::CPA_ADMITAD),
        'search_uri' => 'https://eldorado.ua/search?q=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'routercenternl' => array(
        'name' => 'Routercenter.nl',
        'uri' => 'http://routercenter.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=routercenter.nl',
        'search_uri' => 'https://www.routercenter.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'printershopnl' => array(
        'name' => 'Printershop.nl',
        'uri' => 'http://printershop.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=printershop.nl',
        'search_uri' => 'https://www.printershop.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'tabletcenternl' => array(
        'name' => 'Tabletcenter.nl',
        'uri' => 'http://tabletcenter.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=tabletcenter.nl',
        'search_uri' => 'https://www.tabletcenter.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'smartwatchshopnl' => array(
        'name' => 'Smartwatchshop.nl',
        'uri' => 'http://smartwatchshop.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=smartwatchshop.nl',
        'search_uri' => 'https://www.smartwatchshop.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'hoofdtelefoonstorenl' => array(
        'name' => 'Hoofdtelefoonstore.nl',
        'uri' => 'http://hoofdtelefoonstore.nl',
        'ico' => 'http://www.google.com/s2/favicons?domain=hoofdtelefoonstore.nl',
        'search_uri' => 'https://www.hoofdtelefoonstore.nl/zoeken?query=%KEYWORD%',
        'is_deprecated' => true,
    ),
    'fnaccom' => array(
        'name' => 'Fnac.com',
        'uri' => 'http://fnac.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=fnac.com',
        'search_uri' => 'https://www.fnac.com/SearchResult/ResultList.aspx?SCat=0%211&Search=%KEYWORD%&sft=1&sa=0',
        'is_unstable' => true,
    ),
    'fnacbe' => array(
        'name' => 'Nl.fnac.be',
        'uri' => 'https://nl.fnac.be',
        'ico' => 'http://www.google.com/s2/favicons?domain=fnac.be',
        'search_uri' => 'https://www.nl.fnac.be/SearchResult/ResultList.aspx?SCat=0%211&Search=%KEYWORD%&sft=1&sa=0',
        'is_unstable' => true,
    ),
    'fnacfr' => array(
        'name' => 'Fr.fnac.be',
        'uri' => 'https://fr.fnac.be',
        'ico' => 'http://www.google.com/s2/favicons?domain=fnac.fr',
        'search_uri' => 'https://www.fr.fnac.be/SearchResult/ResultList.aspx?SCat=0%211&Search=%KEYWORD%&sft=1&sa=0',
        'is_unstable' => true,
    ),
    'koovscom' => array(
        'name' => 'Koovs.com',
        'uri' => 'http://koovs.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=koovs.com',
        'search_uri' => 'http://www.koovs.com/%KEY-WORD%',
    ),
    'mercadolivrecombr' => array(
        'name' => 'Mercadolivre.com.br',
        'uri' => 'http://mercadolivre.com.br',
        'ico' => 'http://www.google.com/s2/favicons?domain=mercadolivre.com.br',
        'search_uri' => 'https://lista.mercadolivre.com.br/%KEY-WORD%',
    ),
    'alibabacom' => array(
        'name' => 'Alibaba.com',
        'uri' => 'http://alibaba.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=alibaba.com',
        'search_uri' => 'https://www.alibaba.com/trade/search?fsb=y&IndexArea=product_en&CatId=&SearchText=%KEY+WORD%',
    ),
    'geekbuyingcom' => array(
        'name' => 'Geekbuying.com',
        'uri' => 'http://geekbuying.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=geekbuying.com',
        'search_uri' => 'https://www.geekbuying.com/search?keyword=%KEYWORD%',
    ),
    'tomtopcom' => array(
        'name' => 'Tomtop.com',
        'uri' => 'http://tomtop.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=tomtop.com',
        'search_uri' => 'https://www.tomtop.com/search/%KEY-WORD%.html',
    ),
    'souqcom' => array(
        'name' => 'Souq.com',
        'uri' => 'http://souq.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=souq.com',
        'search_uri' => 'https://saudi.souq.com/sa-en/%KEY-WORD%/s/?as=1',
        'is_deprecated' => true,
    ),
    'jumiacomeg' => array(
        'name' => 'Jumia.com.eg',
        'uri' => 'http://jumia.com.eg',
        'ico' => 'http://www.google.com/s2/favicons?domain=jumia.com.eg',
        'search_uri' => 'https://www.jumia.com.eg/catalog/?q=%KEY+WORD%',
    ),
    'jumiacomng' => array(
        'name' => 'Jumia.com.ng',
        'uri' => 'http://jumia.com.ng',
        'ico' => 'http://www.google.com/s2/favicons?domain=jumia.com.ng',
        'search_uri' => 'https://www.jumia.com.ng/catalog/?q=%KEY+WORD%',
    ),
    'jumiacoke' => array(
        'name' => 'Jumia.co.ke',
        'uri' => 'http://jumia.co.ke',
        'ico' => 'http://www.google.com/s2/favicons?domain=jumia.co.ke',
        'search_uri' => 'https://www.jumia.co.ke/catalog/?q=%KEY+WORD%',
    ),
    'jumiacomgh' => array(
        'name' => 'Jumia.com.gh',
        'uri' => 'http://jumia.com.gh',
        'ico' => 'http://www.google.com/s2/favicons?domain=jumia.com.gh',
        'search_uri' => 'https://www.jumia.com.gh/catalog/?q=%KEY+WORD%',
    ),
    'jumiaug' => array(
        'name' => 'Jumia.ug',
        'uri' => 'http://jumia.ug',
        'ico' => 'http://www.google.com/s2/favicons?domain=jumia.ug',
        'search_uri' => 'https://www.jumia.ug/catalog/?q=%KEY+WORD%',
    ),
    'jumiaci' => array(
        'name' => 'Jumia.ci',
        'uri' => 'http://jumia.ci',
        'ico' => 'http://www.google.com/s2/favicons?domain=jumia.ci',
        'search_uri' => 'https://www.jumia.ci/catalog/?q=%KEY+WORD%',
    ),
    'tikivn' => array(
        'name' => 'Tiki.vn',
        'uri' => 'http://tiki.vn',
        'ico' => 'http://www.google.com/s2/favicons?domain=tiki.vn',
        'search_uri' => 'https://tiki.vn/search?q=%KEY+WORD%',
    ),
    'adayroicom' => array(
        'name' => 'Adayroi.com',
        'uri' => 'http://adayroi.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=adayroi.com',
        'search_uri' => 'https://www.adayroi.com/tim-kiem?q=%KEY+WORD%',
        'is_deprecated' => true,
    ),
    'priceministercom' => array(
        'name' => 'Priceminister.com',
        'uri' => 'http://priceminister.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=priceminister.com',
        'search_uri' => 'https://www.priceminister.com/s/%KEY+WORD%',
        'is_deprecated' => true,
    ),
    'ldlccom' => array(
        'name' => 'Ldlc.com',
        'uri' => 'http://ldlc.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=ldlc.com',
        'search_uri' => 'https://www.ldlc.com/recherche/%KEY+WORD%/',
    ),
    'cdiscountcom' => array(
        'name' => 'Cdiscount.com',
        'uri' => 'http://cdiscount.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=cdiscount.com',
        'search_uri' => 'https://www.cdiscount.com/search/10/%KEY+WORD%.html',
        'is_unstable' => true,
    ),
    'materielnet' => array(
        'name' => 'Materiel.net',
        'uri' => 'http://materiel.net',
        'ico' => 'http://www.google.com/s2/favicons?domain=materiel.net',
        'search_uri' => 'https://www.materiel.net/recherche/%KEY-WORD%/',
    ),
    'mistergooddealcom' => array(
        'name' => 'Mistergooddeal.com',
        'uri' => 'http://mistergooddeal.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=mistergooddeal.net',
        'search_uri' => 'http://www.mistergooddeal.com/nav/recherche?srctype=list&text=%KEY+WORD%',
        'is_deprecated' => true,
    ),
    'flipkartcom' => array(
        'name' => 'Flipkart.com',
        'uri' => 'http://flipkart.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=flipkart.com',
        'search_uri' => 'https://www.flipkart.com/search?q=%KEY+WORD%&otracker=start&as-show=off&as=off',
    ),
    'targetcom' => array(
        'name' => 'Target.com',
        'uri' => 'http://target.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=target.com',
        'search_uri' => 'https://www.target.com/s?searchTerm=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'rakutencom' => array(
        'name' => 'Shopping.rakuten.com',
        'uri' => 'http://fr.shopping.rakuten.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=fr.shopping.rakuten.com',
        'search_uri' => 'https://fr.shopping.rakuten.com/s/%KEY+WORD%',
    ),
    'aliexpressru' => array(
        'name' => 'Aliexpress.ru',
        'uri' => 'http://www.aliexpress.ru',
        'ico' => 'http://www.google.com/s2/favicons?domain=aliexpress.ru',
        'cpa' => array(Cpa::CPA_EPNBZ, Cpa::CPA_ADMITAD, Cpa::CPA_GDESLON, Cpa::CPA_ACTIONPAY),
        'search_uri' => 'https://aliexpress.ru/wholesale?SearchText=%KEY+WORD%',
        'is_unstable' => true,
    ),
    'americanascombr' => array(
        'name' => 'Americanas.com.br',
        'uri' => 'http://www.americanas.com.br',
        'ico' => 'http://www.google.com/s2/favicons?domain=americanas.com.br',
        'search_uri' => 'https://www.americanas.com.br/busca/%KEY-WORD%',
        'is_unstable' => true,
    ),
    'submarinocombr' => array(
        'name' => 'Submarino.com.br',
        'uri' => 'http://www.submarino.com.br',
        'ico' => 'http://www.google.com/s2/favicons?domain=submarino.com.br',
        'search_uri' => 'https://www.submarino.com.br/busca/%KEY-WORD%',
        'is_unstable' => true,
    ),
    'shoptimecombr' => array(
        'name' => 'Shoptime.com.br',
        'uri' => 'http://www.shoptime.com.br',
        'ico' => 'http://www.google.com/s2/favicons?domain=shoptime.com.br',
        'search_uri' => 'https://www.shoptime.com.br/busca/%KEY-WORD%',
        'is_unstable' => true,
    ),
    'bolcom' => array(
        'name' => 'Bol.com',
        'uri' => 'http://www.bol.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=bol.com',
        'search_uri' => 'https://www.bol.com/nl/s/?searchtext=%KEY+WORD%&searchContext=media_all&appliedSearchContextId=&suggestFragment=&adjustedSection=&originalSection=&originalSearchContext=&section=main&N=0&defaultSearchContext=media_all',
    ),
    'shopeevn' => array(
        'name' => 'Shopee.vn',
        'uri' => 'https://shopee.vn',
        'ico' => 'http://www.google.com/s2/favicons?domain=shopee.vn',
        'search_uri' => 'https://shopee.vn/search/?keyword=%KEYWORD%',
        'is_unstable' => true,
    ),
    'shopeecoid' => array(
        'name' => 'Shopee.co.id',
        'uri' => 'https://shopee.co.id',
        'ico' => 'http://www.google.com/s2/favicons?domain=shopee.co.id',
        'search_uri' => 'https://shopee.co.id/search/?keyword=%KEYWORD%',
        'is_unstable' => true,
    ),
    'shopeecommy' => array(
        'name' => 'Shopee.com.my',
        'uri' => 'https://shopee.com.my',
        'ico' => 'http://www.google.com/s2/favicons?domain=shopee.com.my',
        'search_uri' => 'https://shopee.com.my/search/?keyword=%KEYWORD%',
        'is_unstable' => true,
    ),
    'shopeecoth' => array(
        'name' => 'Shopee.co.th',
        'uri' => 'https://shopee.co.th',
        'ico' => 'http://www.google.com/s2/favicons?domain=shopee.co.th',
        'search_uri' => 'https://shopee.co.th/search/?keyword=%KEYWORD%',
        'is_unstable' => true,
    ),
    'shopeeph' => array(
        'name' => 'Shopee.ph',
        'uri' => 'https://shopee.ph',
        'ico' => 'http://www.google.com/s2/favicons?domain=shopee.ph',
        'search_uri' => 'https://shopee.ph/search/?keyword=%KEYWORD%',
        'is_unstable' => true,
    ),
    'shopeesg' => array(
        'name' => 'Shopee.sg',
        'uri' => 'https://shopee.sg',
        'ico' => 'http://www.google.com/s2/favicons?domain=shopee.sg',
        'search_uri' => 'https://shopee.sg/search/?keyword=%KEYWORD%',
        'is_unstable' => true,
    ),
    'shopeecombr' => array(
        'name' => 'Shopee.com.br',
        'uri' => 'https://shopee.com.br',
        'ico' => 'http://www.google.com/s2/favicons?domain=shopee.com.br',
        'search_uri' => 'https://shopee.com.br/search/?keyword=%KEYWORD%',
        'is_unstable' => true,
    ),
    'shopeecombr' => array(
        'name' => 'Shopee.com.br',
        'uri' => 'https://shopee.com.br',
        'ico' => 'http://www.google.com/s2/favicons?domain=shopee.com.br',
        'search_uri' => 'https://shopee.com.br/search/?keyword=%KEYWORD%',
        'is_unstable' => true,
    ),
    'coupangcom' => array(
        'name' => 'Coupang.com',
        'uri' => 'https://www.coupang.com',
        'ico' => 'http://www.google.com/s2/favicons?domain=coupang.com',
        'search_uri' => 'https://www.coupang.com/np/search?component=&q=%KEY+WORD%',
    ),

);
